@warnings 0
@define _TX 1
@define _TY 2
@define _TZ 3

@define _RH 4
@define _RP 5
@define _RB 6

@define _SX 7
@define _SY 8
@define _SZ 9


generic
{
	//motion to spline
	deffn = globalrecall("Motion2Spline.pathfile","");
	exportType = integer(recall("exportType",1));
	coordinates = integer(recall("coordinates",1));
	bruteforce = integer(recall("bruteforce",0));
	//~ sdir = split(deffn);
	//~ defpath = sdir[1] + sdir[2];
	reqbegin("Motion-2-Spline");
	c1 = ctlfilename("Path File",deffn,100,true);
	c3 = ctlchoice("Coordinates",coordinates,@"Local","World"@);
	c4 = ctlcheckbox("Brute Force",bruteforce);
	return if(!reqpost());
	fn = getvalue(c1);
	coordinates = getvalue(c3);
	bruteforce = getvalue(c4);
	globalstore("Motion2Spline.pathfile",fn);
	reqend();
	
	
	s = Scene().getSelect();
	previewStart = Scene().previewstart;
	previewEnd = Scene().previewend;
	for(i=1;i<=s.size();i++)
	{
		if(s.size() > 1)
		{
			sfn = split(fn);
			finfn = string(fn[1],fn[2],fn[3],i,fn[4]);
		}
		else
			finfn = fn;
		f = File(finfn,"w");
		if(!f)
			error("Umable to open file for writing.");
		
		if(bruteforce)
			SelectItem(s[i].id);
		for(j=previewStart;j<=previewEnd;j++)
		{
			if(bruteforce)
				GoToFrame(j);
			mytime = j / Scene().fps;
			
			if(coordinates == 1)
				pos = s[i].getPosition(mytime);
			else
				pos = s[i].getWorldPosition(mytime);
			
			f.writeln(pos);
		}
		
		f.close();
		
		
	}
	
}
